
#import "b4i_main.h"


@implementation b4i_main 


+ (instancetype)new {
    static b4i_main* shared = nil;
    if (shared == nil) {
        shared = [self alloc];
        shared.bi = [[B4IShellBI alloc] init:shared];
        shared.__c = [B4ICommon new];
    }
    return shared;
}
- (int)debugAppId {
    return 2;
}


- (NSString*)  _application_background{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"application_background"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"application_background" :nil]);
[B4IRDebugUtils shared].currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Private Sub Application_Background";
[B4IRDebugUtils shared].currentLine=196610;
 //BA.debugLineNum = 196610;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _application_start:(B4INavigationControllerWrapper*) _nav{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"application_start"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"application_start:" :@[_nav]]);
B4INavigationControllerWrapper* _nc = nil;
B4IPage* _rp = nil;
[B4IRDebugUtils shared].currentLine=65536;
 //BA.debugLineNum = 65536;BA.debugLine="Private Sub Application_Start (Nav As NavigationCo";
[B4IRDebugUtils shared].currentLine=65538;
 //BA.debugLineNum = 65538;BA.debugLine="Dim nc As NavigationController";
_nc = [B4INavigationControllerWrapper new];
[B4IRDebugUtils shared].currentLine=65539;
 //BA.debugLineNum = 65539;BA.debugLine="nc.Initialize(\"nc\")";
[_nc Initialize:self.bi :@"nc"];
[B4IRDebugUtils shared].currentLine=65540;
 //BA.debugLineNum = 65540;BA.debugLine="NavControl = nc";
self._navcontrol = _nc;
[B4IRDebugUtils shared].currentLine=65541;
 //BA.debugLineNum = 65541;BA.debugLine="Page1.Initialize(\"Page1\")";
[self._page1 Initialize:self.bi :@"Page1"];
[B4IRDebugUtils shared].currentLine=65542;
 //BA.debugLineNum = 65542;BA.debugLine="Page1.Title = \"Page 1\"";
[self._page1 setTitle:@"Page 1"];
[B4IRDebugUtils shared].currentLine=65543;
 //BA.debugLineNum = 65543;BA.debugLine="Page1.RootPanel.Color = Colors.White";
[[self._page1 RootPanel] setColor:[[self.__c Colors] White]];
[B4IRDebugUtils shared].currentLine=65544;
 //BA.debugLineNum = 65544;BA.debugLine="Page1.RootPanel.LoadLayout(\"1\")";
[[self._page1 RootPanel] LoadLayout:@"1" :self.bi];
[B4IRDebugUtils shared].currentLine=65546;
 //BA.debugLineNum = 65546;BA.debugLine="Dim rp As Page";
_rp = [B4IPage new];
[B4IRDebugUtils shared].currentLine=65547;
 //BA.debugLineNum = 65547;BA.debugLine="rp.Initialize(\"rp\")";
[_rp Initialize:self.bi :@"rp"];
[B4IRDebugUtils shared].currentLine=65548;
 //BA.debugLineNum = 65548;BA.debugLine="rp.RootPanel.Color = Colors.Green";
[[_rp RootPanel] setColor:[[self.__c Colors] Green]];
[B4IRDebugUtils shared].currentLine=65549;
 //BA.debugLineNum = 65549;BA.debugLine="rp.RootPanel.LoadLayout(\"2\")";
[[_rp RootPanel] LoadLayout:@"2" :self.bi];
[B4IRDebugUtils shared].currentLine=65550;
 //BA.debugLineNum = 65550;BA.debugLine="smc.Initialize(Null, nc, rp)";
[self._smc Initialize:(B4IPage*) [B4IObjectWrapper createWrapper:[B4IPage new] object:(UIViewController*)([self.__c Null])] :_nc :_rp];
[B4IRDebugUtils shared].currentLine=65551;
 //BA.debugLineNum = 65551;BA.debugLine="App.KeyController = smc";
[self._app setKeyController:(UIViewController*)((self._smc).object)];
[B4IRDebugUtils shared].currentLine=65552;
 //BA.debugLineNum = 65552;BA.debugLine="nc.ShowPage(Page1)";
[_nc ShowPage:(UIViewController*)((self._page1).object)];
[B4IRDebugUtils shared].currentLine=65554;
 //BA.debugLineNum = 65554;BA.debugLine="smc.RightMenuMaxWidth = 40%x";
[self._smc setRightMenuMaxWidth:[self.__c PerXToCurrent:(float) (40)]];
[B4IRDebugUtils shared].currentLine=65555;
 //BA.debugLineNum = 65555;BA.debugLine="NavControl.ToolBarVisible = True";
[self._navcontrol setToolBarVisible:[self.__c True]];
[B4IRDebugUtils shared].currentLine=65558;
 //BA.debugLineNum = 65558;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _page1_resize:(int) _width :(int) _height{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"page1_resize"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"page1_resize::" :@[@(_width),@(_height)]]);
[B4IRDebugUtils shared].currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Private Sub Page1_Resize(Width As Int, Height As I";
[B4IRDebugUtils shared].currentLine=131074;
 //BA.debugLineNum = 131074;BA.debugLine="End Sub";
return @"";
}
- (NSString*)  _panel1_click{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"panel1_click"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"panel1_click" :nil]);
B4INativeObject* _no = nil;
[B4IRDebugUtils shared].currentLine=327680;
 //BA.debugLineNum = 327680;BA.debugLine="Sub Panel1_Click";
[B4IRDebugUtils shared].currentLine=327681;
 //BA.debugLineNum = 327681;BA.debugLine="Dim no As NativeObject = smc";
_no = [B4INativeObject new];
_no.object = (NSObject*)((self._smc).object);
[B4IRDebugUtils shared].currentLine=327682;
 //BA.debugLineNum = 327682;BA.debugLine="Log(no.GetField(\"openSide\").AsNumber )";
[self.__c Log:[self.bi ObjectToString:[[_no GetField:@"openSide"] AsNumber]]];
[B4IRDebugUtils shared].currentLine=327683;
 //BA.debugLineNum = 327683;BA.debugLine="If no.GetField(\"openSide\").AsNumber <> 0 Then";
if ([[[_no GetField:@"openSide"] AsNumber] isEqual:(NSObject*)(@(0))] == false) { 
[B4IRDebugUtils shared].currentLine=327684;
 //BA.debugLineNum = 327684;BA.debugLine="smc.CloseMenu";
[self._smc CloseMenu];
[B4IRDebugUtils shared].currentLine=327685;
 //BA.debugLineNum = 327685;BA.debugLine="Return";
if (true) return @"";
 };
[B4IRDebugUtils shared].currentLine=327687;
 //BA.debugLineNum = 327687;BA.debugLine="smc.OpenRightMenu";
[self._smc OpenRightMenu];
[B4IRDebugUtils shared].currentLine=327689;
 //BA.debugLineNum = 327689;BA.debugLine="End Sub";
return @"";
}

- (void)initializeStaticModules {
    [[b4i_main new]initializeModule];

}
- (NSString*)  _process_globals{
[B4IRDebugUtils shared].currentModule=@"main";
if ([B4IDebug shouldDelegate: @"process_globals"])
	return ((NSString*) [B4IDebug delegate:self.bi :@"process_globals" :nil]);
[B4IRDebugUtils shared].currentLine=0;
 //BA.debugLineNum = 0;BA.debugLine="Sub Process_Globals";
[B4IRDebugUtils shared].currentLine=3;
 //BA.debugLineNum = 3;BA.debugLine="Public App As Application";
self._app = [B4IApplicationWrapper new];
[B4IRDebugUtils shared].currentLine=4;
 //BA.debugLineNum = 4;BA.debugLine="Public NavControl As NavigationController";
self._navcontrol = [B4INavigationControllerWrapper new];
[B4IRDebugUtils shared].currentLine=5;
 //BA.debugLineNum = 5;BA.debugLine="Private Page1 As Page";
self._page1 = [B4IPage new];
[B4IRDebugUtils shared].currentLine=6;
 //BA.debugLineNum = 6;BA.debugLine="Private smc As SideMenuController";
self._smc = [B4ISideMenuController new];
[B4IRDebugUtils shared].currentLine=7;
 //BA.debugLineNum = 7;BA.debugLine="Private Panel1 As Panel";
self._panel1 = [B4IPanelWrapper new];
[B4IRDebugUtils shared].currentLine=8;
 //BA.debugLineNum = 8;BA.debugLine="End Sub";
return @"";
}
@end